mob = {}
mob.speed = 32


function mob:spawn(x, y, width, height)

	table.insert(mob, {width = width, height = height, x = x, y = y})

end

function mob:update(dt)

	for i,v in ipairs(mob) do
		v.x = v.x - mob.speed * dt
	end

end

function mob:draw()

	for i,v in ipairs(mob) do
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill",  v.x, v.y, v.width, v.height)
	end

end

